<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.VehicleLast" table="Vehicle_Last" schema="dbo" >
        <id name="vhcId" type="java.lang.Integer">
            <column name="vhcid" />
            <generator class="native" />
        </id>
        <property name="latXz" type="java.lang.Float">
            <column name="lat_xz" precision="53" scale="0" not-null="true" />
        </property>
        <property name="lngXz" type="java.lang.Float">
            <column name="lng_xz" precision="53" scale="0" not-null="true" />
        </property>
        <property name="lat3" type="java.lang.Float">
            <column name="lat3" precision="53" scale="0" not-null="true" default="0.0"  />
        </property>
        <property name="lng3" type="java.lang.Float">
            <column name="lng3" precision="53" scale="0" not-null="true" default="0.0" />
        </property>
        <property name="vhcofflinemin" type="java.lang.Integer">
            <column name="vhcofflinemin" not-null="true" />
        </property>
        <property name="temperature" type="java.lang.Float">
            <column name="temperature" precision="53" scale="0" not-null="true" />
        </property>
        <property name="oil" type="java.lang.Float">
            <column name="oil" precision="53" scale="0" not-null="true" />
        </property>
        <property name="oil1" type="java.lang.Float">
            <column name="oil1" precision="53" scale="0" not-null="true" />
        </property>
        <property name="oil2" type="java.lang.Float">
            <column name="oil2" precision="53" scale="0" not-null="true" />
        </property>
        <property name="distance" type="java.lang.Float">
            <column name="distance" precision="53" scale="0" not-null="true" />
        </property>
        <property name="lastdaydistance" type="java.lang.Float">
            <column name="lastdaydistance" precision="53" scale="0" not-null="true" />
        </property>
        <property name="acc" type="java.lang.Integer">
            <column name="acc" not-null="true" />
        </property>
        <property name="acc2" type="java.lang.Integer">
            <column name="acc2" not-null="true" />
        </property>
        <property name="stopDefDistance" type="java.lang.Integer">
            <column name="stopDefDistance" not-null="true" />
        </property>
        <property name="stopDefLat" type="java.lang.Float">
            <column name="stopDefLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="stopDefLng" type="java.lang.Float">
            <column name="stopDefLng" precision="53" scale="0" not-null="true" />
        </property>
        <many-to-one name="vehicle" class="cn.exlive.mygpsonline.bean.Vehicle" column="vhcId" not-null="true" unique="true" cascade="all" ></many-to-one>
    </class>
</hibernate-mapping>
